Manual06/fr

From FreeCAD Documentation
Jump to: navigation, search




Manuel



de



FreeCAD





Splash013.jpg




Ce manuel traite des Édition d'objets.


Draft



Cette page est spécialement destinée à l'impression, comme un gros document, donc, si vous lisez ceci en ligne, vous pourrez préférer aller directement à la version Aide en ligne, qui est plus facile à parcourir.

Édition d'objets

Arrow-left.svg Page précédente: Draft Label.svg Label
Page suivante: Pivoter Draft Rotate.svg Arrow-right.svg

Draft Move.svg Déplacer

Emplacement du menu
Draft → Déplacer
Ateliers
Draft, Arch
Raccourci par défaut
M V
Introduit dans la version
0.7
Voir aussi
Copie en réseau, Chemin de copie en réseau


Description

L'outil Déplacement déplace ou copie les objets sélectionnés d'un point à un autre.

L'outil Déplacement peut être utilisé sur des formes 2D créées avec les ateliers Draft ou Sketcher, mais peut également être utilisé sur de nombreux types d'objets 3D, tels que ceux créés avec les ateliers Part ou Arch.

Pour produire diverses copies dans différents arrangements, utilisez Copie en réseau Draft, Chemin de copie en réseau Draft et Point de réseau Draft.

Draft Move example.jpg

Déplacer un objet d'un point à un autre


Utilisation

  1. Sélectionnez les objets que vous souhaitez déplacer ou copier.
  2. Appuyez sur le bouton Draft Move.svg Déplacer, ou appuyez sur les touches M puis V. Si aucun objet n'est sélectionné, vous serez invité à en sélectionner un.
  3. Cliquez sur un premier point de la vue 3D ou tapez une Coordonnée et appuyez sur le bouton Draft AddPoint.svg Ajouter un point. Cela sert de point de base de l'opération.
  4. Cliquez sur un autre point de la vue 3D ou tapez une Coordonnée et appuyez sur le bouton Draft AddPoint.svg Ajouter un point. C'est la nouvelle position du point de base.

Limitations

Lorsque vous déplacez un objet basé sur une esquisse, par exemple, une fonctionnalité créée avec PartDesign (Pad, Revolution, etc. .) vous devez déplacer l'esquisse d'origine. Si vous déplacez l'objet dérivé, il reviendra simplement à la position définie par l'esquisse.

Options

  • Appuyez sur les touches X, Y or Z après le premier point, pour contraindre le point suivant sur l'axe donné.
  • Pour entrer les coordonnées manuellement, entrez simplement les chiffres, puis appuyez sur Enter entre chacune des composantes X, Y et Z. Vous pouvez appuyer sur le bouton Draft AddPoint.svg Ajouter un point lorsque vous avez les valeurs souhaitées pour insérer le point.
  • Appuyez sur R ou cliquez sur la case à cocher pour basculer en mode relatif . Si le mode Relatif est activé, les coordonnées du point suivant sont relatives au dernier; sinon, elles sont absolues, prises de l'origine (0,0,0).
  • Appuyez sur T ou cliquez sur la case à cocher pour basculer en mode continuer . Si le mode Continuer est activé, l'outil Déplacer redémarrera à la fin de l'opération. Vous pourrez ainsi déplacer ou copier à nouveau les objets sans appuyer à nouveau sur le bouton de l'outil.
  • Appuyez sur P ou cliquez sur la case à cocher pour basculer en mode copie . Si le mode Copie est activé, l'outil Déplacer conservera la forme d'origine à sa place mais en effectuera une copie au deuxième point.
Vous pouvez utiliser les deux touches T et P pour placer plusieurs copies en séquence. Dans ce cas, l'élément dupliqué est la dernière copie placée.
  • Maintenez appuyée la touche Alt après le premier point pour basculer également en mode copie. En maintenant la touche Alt enfoncée après avoir cliqué sur le deuxième point, vous pourrez continuer à placer des copies; relâchez Alt pour terminer l'opération et voir toutes les copies.
  • Maintenez appuyée la touche Ctrl en vous déplaçant pour forcer l'accrochage de votre point au point de capture le plus proche, indépendamment de la distance.
  • Maintenez appuyée la touche Shift tout en vous déplaçant vers votre prochain point contraint horizontalement ou verticalement par rapport au dernier.
  • Appuyez sur Esc ou le bouton Fermer pour abandonner la commande en cours; les copies déjà placées resteront.

Script

Voir aussi: Draft API and FreeCAD Scripting Basics.

L'outil de déplacement peut être utilisé dans macros et à partir de la console Python à l'aide de la fonction suivante:

movedlist = move(objectslist, vector, copy=False)
  • Déplace le point de base des objets dans objectslist du déplacement et de la direction indiqués par vector.
    • objectslist est soit un objet unique, soit une liste d'objets.
Le vecteur de déplacement est relatif au point de base de l'objet, ce qui signifie que si un objet est déplacé de 2 unités, puis de 2 autres unités, il aura déplacé 4 unités au total de sa position d'origine.
  • Si copy est True, des copies sont créées au lieu de déplacer les objets d'origine.
  • movedlist est renvoyé avec les objets déplacés d'origine ou avec les nouvelles copies.
    • movedlist est soit un objet unique, soit une liste d'objets, en fonction de l'entrée objectslist.

Exemple:

import FreeCAD, Draft

Polygon1 = Draft.makePolygon(5, radius=1000)
Polygon2 = Draft.makePolygon(3, radius=500)
Polygon3 = Draft.makePolygon(6, radius=220)

Draft.move(Polygon1, FreeCAD.Vector(500, 500, 0))
Draft.move(Polygon1, FreeCAD.Vector(500, 500, 0))
Draft.move(Polygon2, FreeCAD.Vector(1000, -1000, 0))
Draft.move(Polygon3, FreeCAD.Vector(-500, -500, 0))

List1 = [Polygon1, Polygon2, Polygon3]

vector = FreeCAD.Vector(-2000, -2000, 0)
List2 = Draft.move(List1, vector, copy=True)
List3 = Draft.move(List1, -2*vector, copy=True)
Arrow-left.svg Page précédente: Draft Label.svg Label
Page suivante: Pivoter Draft Rotate.svg Arrow-right.svg


Arrow-left.svg Page précédente: Draft Move.svg Déplacer Draft
Page suivante: Décalage Draft Draft Offset.svg Arrow-right.svg

Draft Rotate.svg Rotation Draft

Emplacement du menu
Draft → Pivoter
Ateliers
Atelier Draft, Atelier Arch
Raccourci par défaut
R O
Introduit dans la version
0.7
Voir aussi
Déplacer Draft, Matrice Draft


Description

L'outil Rotation permet de faire pivoter ou de copier les objets sélectionnés d'un angle donné autour d'un point de référence.

L'outil Rotation peut être utilisé sur des formes 2D créées avec Atelier Draft ou Atelier Sketcher, mais peut également être utilisé sur de nombreux types d'objets 3D, tels que ceux créés avec Atelier Part ou Atelier Arch.

Pour vous déplacer sans rotation, utilisez Déplacer Draft. Pour produire diverses copies dans différents arrangements, utilisez Matrice Draft, Série de copies Draft et Matrice de points Draft.

Draft Rotate example.jpg

Rotation d'un objet à l'aide d'un point de référence central, d'un angle de référence à un autre angle


Utilisation

  1. Sélectionnez les objets que vous souhaitez déplacer ou copier.
  2. Appuyez sur le bouton Draft Rotate.svg Faire pivoter les objets sélectionnés ou appuyez sur les touches R puis O. Si aucun objet n'est sélectionné, vous serez invité à en sélectionner un.
  3. Cliquez sur un premier point de la vue 3D ou tapez une Coordonnée Draft et appuyez sur le bouton Draft AddPoint.svg Ajouter un point Draft. Cela sert de base à l’opération par laquelle passera l’axe de rotation.
  4. Cliquez sur un deuxième point de la vue 3D ou tapez un angle de base. Ceci définit une ligne de base qui tournera autour du premier point.
  5. Cliquez sur un troisième point de la vue 3D ou tapez un angle de rotation. Cela indique la rotation de la ligne de base, et donc des objets.

Limitations

Lors de la rotation d'un objet basé sur Sketcher Sketch, par exemple, une fonctionnalité créée avec Atelier PartDesign (Protrusion PartDesign, Révolution PartDesign, etc. .) vous devez déplacer l'esquisse d'origine. Si vous déplacez l'objet dérivé, il reviendra simplement à la position définie par l'esquisse.

Options

  • Appuyez sur X, Y ou Z après un point pour contraindre le point suivant sur l'axe donné.
  • Pour entrer les coordonnées manuellement, entrez simplement les chiffres, puis appuyez sur Entrée entre chaque composante X, Y et Z. Vous pouvez appuyer sur le bouton Draft AddPoint.svg Ajouter un point Draft lorsque vous avez les valeurs souhaitées pour insérer le point.
  • Appuyez sur T ou cochez la case pour passer en mode continuer . Si le mode Continuer est activé, l'outil Rotation redémarrera à la fin de l'opération. Vous pourrez ainsi faire pivoter ou copier à nouveau les objets sans appuyer à nouveau sur le bouton de l'outil.
  • Appuyez sur P ou cliquez sur la case à cocher pour basculer en mode copie . Si le mode de copie est activé, l'outil Rotation conserve la forme d'origine à sa place, mais effectue une copie à l'angle défini par le troisième point.
Vous pouvez utiliser à la fois T et P pour placer plusieurs copies en séquence. Dans ce cas, l'élément dupliqué est la dernière copie placée.
  • Maintenez la touche Alt après le deuxième point pour basculer également en mode copie. En maintenant Alt enfoncé après avoir cliqué sur le troisième point, vous pourrez continuer à placer des copies en utilisant le même point de base de rotation et la même ligne de base; relâchez Alt pour terminer l'opération et voir toutes les copies.
  • Maintenez la touche Ctrl enfoncée tout en faisant pivoter pour forcer l'Accrochage Draft votre point au point de capture le plus proche, indépendamment de la distance.
  • Maintenez la touche Shift enfoncée tout en faisant pivoter votre prochain point horizontalement ou verticalement Crontrainte Draft par rapport au point de base de la rotation.
  • Appuyez sur Echap ou sur le bouton Fermer pour annuler la commande en cours. Les copies déjà placées resteront.

Script

Voir aussi: Draft API et FreeCAD scripts de base.

L'outil de Rotation peut être utilisé dans macros et à partir de la console Python à l'aide de la fonction suivante:

rotatedlist = rotate(objectslist, angle, center=Vector(0,0,0), axis=Vector(0,0,1), copy=False)
  • Fait pivoter le point de base des objets dans objectlist de angle donné.
    • objectlist est soit un objet unique, soit une liste d'objets.
    • Si un point de base de rotation (center), et axis est donné, ils sont utilisés sinon, la rotation est basée sur l'origine et autour de l'axe Z.

L'angle de rotation est relatif au point de base de l'objet, ce qui signifie que si un objet est pivoté de 45 degrés, puis de 45 degrés supplémentaires, il aura pivoté de 90 degrés au total par rapport à sa position d'origine.

  • Si copy est à True, des copies sont créées au lieu de faire pivoter les objets d'origine.
  • rotatedlist est renvoyé avec les objets pivotés d'origine ou avec les nouvelles copies.
    • rotatedlist est un objet unique ou une liste d'objets en fonction de l'entrée objectlist.

Exemple:

import FreeCAD, Draft

Polygon1 = Draft.makePolygon(3, radius=500)
Draft.move(Polygon1, FreeCAD.Vector(1500, 0, 0))

Draft.rotate(Polygon1, 45)

# Rotation around the origin
angle1 = 63
rot2 = Draft.rotate(Polygon1, angle1, copy=True)
rot3 = Draft.rotate(Polygon1, 2*angle1, copy=True)
rot4 = Draft.rotate(Polygon1, 4*angle1, copy=True)

Polygon2 = Draft.makePolygon(3, radius=1000)
Polygon3 = Draft.makePolygon(5, radius=500)
Draft.move(Polygon2, FreeCAD.Vector(2000, 0, 0))
Draft.move(Polygon3, FreeCAD.Vector(2000, 0, 0))

# Rotation around another point
angle2 = 60
c = FreeCAD.Vector(3100, 0, 0)
List2 = [Polygon2, Polygon3]
rot_list2 = Draft.rotate(List2, angle2, center=c, copy=True)
rot_list3 = Draft.rotate(List2, 2*angle2, center=c, copy=True)
rot_list4 = Draft.rotate(List2, 4*angle2, center=c, copy=True)
Arrow-left.svg Page précédente: Draft Move.svg Déplacer Draft
Page suivante: Décalage Draft Draft Offset.svg Arrow-right.svg


Arrow-left.svg Page précédente: Draft Rotate.svg Rotation
Page suivante: Étendre Draft Trimex.svg Arrow-right.svg

Draft Offset.svg Draft décalage

Emplacement du menu
Draft → Décalage
Ateliers
Draft
Raccourci par défaut
O S
Introduit dans la version
-
Voir aussi
Décalage 2D Part


Description

Cet outil décale l'objet ou les objets sélectionnés à la distance donnée et dans le plan de travail courant. Si aucun objet n'est sélectionné, vous serez invité à en sélectionner un.

Cet outil est généralement utilisé en mode copie pour créer des copies offset d'un tracé de base tout en laissant ce tracé au même endroit. Les copies offset sont des versions mises à l'échelle de l'objet d'origine. Pour créer d'autres copies à l'échelle, utilisez Draft échelle. Pour produire des copies exactes décalées d’une distance, utilisez Draft déplacer.

Draft Offset example.jpg

Offsetting a wire a certain distance from one of its edges


Utilisation

  1. Choisissez un objet à décaler
  2. Appuyez sur le bouton Draft Offset.png Décalage ou les touches O puis S.
  3. Cliquez un point sur la vue 3D, ou saisissez une distance.

La distance utilisée pour créer le décalage est perpendiculaire à l'un des bords de la forme d'origine, en fonction de la position du pointeur. Si le pointeur est rapproché d'un autre bord, ce dernier devient la référence pour la distance. Maintenez la touche Shift pour conserver le bord de référence actuel malgré le rapprochement du pointeur par rapport aux autres.

Options

  • Pressez la touche T ou cliquez sur la case à cocher/décocher Continuer. Si la case est cochée, l'outil offset continue de fonctionner jusqu’à ce que vous ayez fini ou fermé la fonction, ce qui vous permet de décaler ou de copier les objets une autre fois sans pression sur la touche de décalage.
  • Appuyer sur la touche ALT ou C ou en cliquez sur le bouton Copier fera une copie des objets, au lieu de les déplacer. Si vous maintenez la touche ALT enfoncée après avoir cliqué le second point, vous serez en mesure de placer plusieurs exemplaires, jusqu'à ce que vous relâchiez la touche ALT.
  • Pressez la touche CTRL et votre point de sélection sera attiré sur un point d'accrochage (snap) disponible.
  • Pressez la touche SHIFT crée une contrainte sur le segment actuel, au lieu de choisir le segment le plus proche.
  • Pressez la touche ESC ou le bouton Cancel annule l’opération.

Script

L'outil Offset (décalage) peut être par utilisé dans une macros et à partir de la console python en utilisant la fonction suivante :

Offsetobj = offset(obj, delta, copy=False, bind=False, sym=False, occ=False)
  • La fonction Offset décale le fil donné en appliquant le vecteur donné à son premier sommet.
  • Si copymode est True, un autre objet est créé, sinon l'objet sera déplacé.
  • Si copymode a la valeur True et que le fil est ouvert, l'original et les fils déplacés seront liés par leurs extrémités, formant une face.
  • Si sym est True, le décalage est fait sur les deux côtés, la largeur totale étant la longueur du vecteur donné.
  • Renvoie l'objet décalé ou sa copie.

Exemple:

import FreeCAD, Draft

p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(1500, 2000, 0)
p3 = FreeCAD.Vector(4000, 0, 0)

Wire = Draft.makeWire([p1, p2, p3])

vector = FreeCAD.Vector(0, 500, 0)
Offset_1 = Draft.offset(Wire, vector, copy=True)
Offset_2 = Draft.offset(Wire, 3*vector, copy=True)
Offset_3 = Draft.offset(Wire, 6*vector, copy=True)
Offset_4 = Draft.offset(Wire, 9*vector, copy=True)
Offset_5 = Draft.offset(Wire, 1.5*vector, copy=True, occ=True)
Arrow-left.svg Page précédente: Draft Rotate.svg Rotation
Page suivante: Étendre Draft Trimex.svg Arrow-right.svg


Arrow-left.svg Page précédente: Draft Split.svg Split (Fractionner)
Page suivante: Rétrograder Draft Downgrade.svg Arrow-right.svg

Draft Upgrade.svg Mettre à niveau Draft

Emplacement du menu
Draft → Mettre à niveau
Ateliers
Draft, Arch
Raccourci par défaut
U P
Introduit dans la version
-
Voir aussi
Rétrograder, Part Union


Description

Cet outil met à niveau les objets sélectionnés de différentes façons.

L'outil Mettre à niveau effectue des tâches telles que la création de faces et la fusion de différents éléments. Cet outil fonctionne avec les éléments Draft 2D. Pour fusionner des solides 3D, utilisez Part Union et les opérations booléennes associées de l'atelier Part et les opérations booléennes de l'atelier PartDesign.

La contrepartie de cet outil est l'opération Rétrograder.

Draft Upgrade example.jpg

Fil ouvert mis à niveau en fil fermé, puis en face; un carré fermé transformé en face, puis fusionné avec la face précédente


Utilisation

  1. Sélectionnez un ou plusieurs objets que vous souhaitez mettre à niveau.
  2. Cliquez sur le bouton Draft Upgrade.svg Mettre à niveau ou appuyez sur les touches U puis P. Si aucun objet n'est sélectionné, vous serez invité à en sélectionner un.

Les objets sélectionnés sont modifiés ou mis à niveau dans les conditions suivantes, dans l'ordre:

  1. S'il y a plus d'une face dans la sélection, les faces sont fusionnées (union).
  2. S'il n'y a qu'une seule face dans la sélection, rien n'est fait.
  3. S'il n'y a qu'un seul fil ouvert dans la sélection, il se ferme et fait une face.
  4. S'il n'y a que des arêtes dans la sélection, toutes les arêtes sont jointes en un fil et ce dernier est fermé si possible.
  5. Si rien de ce qui précède n'est possible, un objet composé est créé.

Il est intéressant d'essayer de mettre à niveau une sélection plusieurs fois pour voir si une meilleure forme est obtenue. Par exemple:

  1. La mise à niveau de deux lignes connectées à une extrémité donnera un fil non modifiable.
  2. La mise à niveau de cet élément ajoutera une troisième ligne et fermera le fil non éditable.
  3. Une nouvelle mise à niveau de cet élément ajoutera une face au fil fermé et non modifiable.
  4. Une nouvelle mise à niveau de cet élément le transformera en un fil, qui peut être entièrement modifié et toutes ses propriétés modifiées.

Le fil résultant peut être mieux manipulé que les lignes d'origine. La fusion de lignes simples peut également être effectuée directement à l'aide de l'outil fil. Certaines opérations de fusion peuvent également être effectuées avec l'outil Part Union.

Options

Il n'y a pas d'options pour cet outil. Cela fonctionne avec les objets sélectionnés ou non.

Script

Voir aussi: Draft API et FreeCAD Scripting Basics.

L'outil Mettre à niveau peut être utilisé dans une macro et dans la console Python en utilisant la fonction suivante :

upgrade_list = upgrade(objects, delete=False, force=None)
addList, deleteList = upgrade(objects, delete=False, force=None)
  • Met à niveau les objets donnés, qui peuvent être un objet unique ou une liste d'objets.
  • Si delete est True, les anciens objets sont supprimés.
  • Si force est donné, c'est la fonction interne à appeler pour forcer un certain mode de mise à niveau. Il peut s'agir de: "makeCompound", "closeGroupWires", "makeSolid", "closeWire", "turnToParts", "makeFusion", "makeShell", "makeFaces", "draftify", "joinFaces", "makeSketchFace", "makeWires", or "turnToLine".
  • upgrade_list est renvoyé, qui est une liste contenant deux listes: une liste de nouveaux objets (addList) et une liste d'objets à supprimer (deleteList) .

Exemple:

import FreeCAD, Draft

Circle = Draft.makeCircle(1000)
Rectangle = Draft.makeRectangle(2000, 800)

addList1, deleteList1 = Draft.upgrade([Circle, Rectangle], delete=False)
fused = addList1[0]

Line1 = Draft.makeLine(FreeCAD.Vector(2000, 0, 0), FreeCAD.Vector(2500, 1500, 0))
Line2 = Draft.makeLine(FreeCAD.Vector(2500, 1500, 0), FreeCAD.Vector(3000, -1000, 0))
addList2, deleteList2 = Draft.upgrade([Line1, Line2], delete=False)

simple_wire = addList2[0]
addList3, deleteList3 = Draft.upgrade(simple_wire, delete=False)

closed_wire = addList3[0]
addList4, deleteList4 = Draft.upgrade(closed_wire, delete=False)

face = addList4[0]
addList5, deleteList5 = Draft.upgrade(face, delete=False)
Arrow-left.svg Page précédente: Draft Split.svg Split (Fractionner)
Page suivante: Rétrograder Draft Downgrade.svg Arrow-right.svg


Arrow-left.svg Page précédente: Draft Upgrade.svg Mettre à niveau Draft
Page suivante: Echelle Draft Draft Scale.svg Arrow-right.svg

Draft Downgrade.svg Rétrograder Draft

Emplacement du menu
Draft → Rétrograder
Ateliers
Atelier Draft, Atelier Arch
Raccourci par défaut
D N
Introduit dans la version
-
Voir aussi
Mettre à niveau Draft, Soustraction Part


Description

Cet outil met à niveau les objets sélectionnés de différentes façons.

L'outil Rétrograder effectue des opérations telles que casser des faces et déconstruire des fils (wires) en unité. Il peut couper une forme avec une autre forme de la même manière que SoustractionPart.

La contrepartie de cet outil est l'opération Mettre à Niveau Draft.

Draft Downgrade example.jpg

Figure soustraite d'une autre figure puis rétrogradé en un fil fermé puis rétrogradé en segments


Utilisation

  1. Sélectionnez un ou plusieurs objets que vous souhaitez rétrograder.
  2. Appuyez sur le bouton Draft Downgrade.png Rétrograder Draft ou appuyez sur les touches D puis N. Si aucun objet n'est sélectionné, vous serez invité à en sélectionner un.

Les objets sélectionnés sont modifiés/rétrogradés à un niveau inférieur, en suivant l'ordre de cette liste :

  1. Si un seul objet est sélectionné et qu'il contient plusieurs faces, chaque face devient un objet séparé.
  2. S'il y a plus d'une face dans la sélection, les objets suivants sont soustraits de la première.
  3. S'il n'y a qu'une seule face dans la sélection, elle est convertie en un fil.
  4. Sinon, tous les fils trouvés dans la sélection sont éclatés en une seule arête.

Options

Il n'y a pas d'options pour cet outil. Cela fonctionne avec les objets sélectionnés ou non.

Exemple

Script

Voir aussi: Draft API et FreeCAD scripts de base.

L'outil Rétrograder peut être utilisé dans une macro et dans la console Python en utilisant la fonction suivante:

downgrade_list = downgrade(objects, delete=False, force=None)
addList, deleteList = downgrade(objects, delete=False, force=None)
  • Rétrograde les objects sélectionnés: soit un objet unique ou une liste d'objets.
  • Si delete est True, les anciens objets sont supprimés.
  • Si force est donné, c'est la fonction interne qui force selon une certaine manière de déclasser. Cela peut être: "explode", "shapify", "subtr", "splitFaces", "cut2", "getWire" ou "splitWires".
  • upgrade_list est renvoyé laquelle liste contient deux listes: une liste de nouveaux objets (addList) et une liste d'objets à supprimer (deleteList).

Exemple :

import FreeCAD, Draft

# Create an union
Circle = Draft.makeCircle(1000)
Rectangle = Draft.makeRectangle(2000, 800)

addList1, deleteList1 = Draft.upgrade([Circle, Rectangle], delete=True)
union = addList1[0]

# Downgrade the union twice
addList2, deleteList2 = Draft.downgrade(union, delete=False)
wire = addList2[0]

list_edges, deleteList3 = Draft.downgrade(wire, delete=False)

# Insert a solid box
Box = FreeCAD.ActiveDocument.addObject("Part::Box", "Box")
Box.Length = 2300
Box.Width = 800
Box.Height = 1000

list_faces, deleteList4 = Draft.downgrade(Box, delete=True)
Arrow-left.svg Page précédente: Draft Upgrade.svg Mettre à niveau Draft
Page suivante: Echelle Draft Draft Scale.svg Arrow-right.svg


Arrow-left.svg Page précédente: Draft Offset.svg Décalage Draft
Page suivante: Joindre Draft Draft Join.svg Arrow-right.svg

Draft Trimex.svg Trimex Draft

Emplacement du menu
Draft → Trimex
Ateliers
Atelier Draft, Atelier Arch
Raccourci par défaut
T R
Introduit dans la version
-
Voir aussi
Extrusion Part


Description

L'outil Trimex coupe ou prolonge les Lignes Draft et les Filaires draft en sorte qu'ils se terminent à une intersection avec une autre ligne ou un autre bord.

L'outil Trimex extrude également les faces créées à partir de fils fermés. En ce sens, il est similaire à Extrusion Part et à Protrusion Part Design.

Draft trimex example.jpg

Segment de fil étendu, puis tronqué. Surface extrudée dans un corps solide


Utilisation

  1. Sélectionnez une ligne que vous souhaitez rogner ou étendre, ou sélectionnez une face que vous souhaitez extruder.
  2. Appuyez sur le bouton Draft Trimex.svg Ajuste ou prolonge... ou appuyez sur les touches T puis R.
  3. Cliquez sur un point dans la vue 3D ou entrez une distance et appuyez sur Entrée.

Le découpage ou l’extension est décidé à partir de la position du pointeur.

  • Si la ligne est courte, elle peut être étendue pour approcher et traverser une autre ligne.
  • Si la ligne est longue et croise une autre ligne, la longueur en excès peut être coupée.
  • Si le pointeur est déplacé sur un autre objet ou un autre bord, l'opération de rognage/extension sera accroché sur cet objet, de sorte que la ligne rognée ou étendue se termine exactement à l'intersection avec l'objet. Cet accrochage fonctionne même lorsque les modes Accrochage Draft ne sont pas activés.

Un Filaire Draft vous permet de couper ou d'étendre n'importe lequel de ses segments individuels, ce qui peut affecter toute la forme du fil. Dans ce cas, l'outil Trimex fonctionnera sur le segment de ligne le plus proche du pointeur. Maintenez la touche Shift enfoncée pour continuer à rogner ou à étendre le segment en cours, indépendamment de la position du pointeur.

Lorsque l'objet sélectionné est une face, l'outil Trimex passe en mode extrusion. En mode d'extrusion, l'extrusion est effectuée dans la direction de la normale du visage. Par exemple, si un rectangle se trouve sur le plan XY, il doit être extrudé dans la direction Z. Pour effectuer cette opération correctement, il peut être nécessaire d’appuyer sur la touche Z pour limiter la distance à la direction Z. Vous pouvez également maintenir la touche Shift pour extruder dans toute direction autre que la normale.

Options

  • Appuyez sur X, Y ou Z pour contraindre le point sur l'axe indiqué.
  • Maintenez la touche Shift enfoncée pour limiter l’opération au segment en cours et évitez d’en choisir un autre.
    • Dans le cas du mode d'extrusion, maintenez la touche Shift pour extruder une face dans une direction autre que la normale.
  • Maintenez la touche Alt enfoncée pendant l'ajustement pour inverser le sens de l'opération. Autrement dit, l'autre extrémité du fil sera coupée.

Script

Voir aussi: Draft API et FreeCAD scripts de base.

Aucune interface de programmation n'est disponible pour l'outil Trimex. Voir l'outil Extrusion Part pour l'extrusion de faces et d'autres formes.

Arrow-left.svg Page précédente: Draft Offset.svg Décalage Draft
Page suivante: Joindre Draft Draft Join.svg Arrow-right.svg


Arrow-left.svg Page précédente: Draft Downgrade.svg Downgrade
Page suivante: Edit Draft Edit.svg Arrow-right.svg

Draft Scale.svg Échelle

Emplacement du menu
Draft → Scale
Ateliers
Draft, Arch
Raccourci par défaut
S C
Introduit dans la version
-
Voir aussi
Draft Clone, Draft Offset


Description

Cet outil met à l'échelle des objets sélectionnés autour d'un point de base.

L'outil Echelle peut produire une copie ou un Draft Clone à une échelle définie. Utilisez Draft Offset pour produire une copie mise à l'échelle d'une sélection de fils avec un certain décalage. Une copie simple sans mise à l'échelle peut être produite avec Draft Move.

Cet outil peut être utilisé sur des formes 2D créées avec Draft Workbench mais peut également être utilisé sur de nombreux types d'objets 3D tels que ceux créés avec Part Workbench or PartDesign Workbench.

Draft Scale example.jpg

Mise à l'échelle d'un objet d'un point de référence à un deuxième point


Utilisation

  1. Sélectionnez les objets dont vous désirez changer la taille
  2. Appuyez sur le bouton Draft Scale.png Draft Scale ou sur les touches S puis C. Si aucun objet n'est sélectionné, vous serez invité à en sélectionner un.
  3. Cliquez votre premier point sur une zone vide de la vue 3D, ou tapez les coordonnées et appuyez sur le bouton Draft AddPoint.svg add point. Ceci défini le point de base de la mise à l'échelle.
  4. Définissez les facteurs X, Y et Z et les options de résultat appropriées, puis appuyez sur Entrée ou sur le bouton OK pour terminer l'opération.

Options

  • Pour entrer les coordonnées manuellement, entrez simplement les chiffres, puis appuyez sur Entrée entre chaque composante X, Y et Z. Vous pouvez appuyer sur le bouton Draft AddPoint.svg ajouter un point lorsque vous avez les valeurs souhaitées pour insérer le point.
  • Remplissez les facteurs X, Y et Z pour définir la mise à l'échelle dans cette direction.
    • Cliquez sur la case à cocher "Uniform scaling" pour verrouiller les facteurs X, Y et Z à la même valeur.
    • Cliquez sur la case à cocher "Working plane orientation" pour verrouiller les échelles X, Y et Z le long du Plan de travail; sinon, les directions globales X, Y et Z sont utilisées.

Trois options contrôlent le résultat de l'opération de mise à l'échelle:

    • Créer un clone. Un Draft Clone de l'objet d'origine sera créé. Cela fonctionnera pour tous les types d'objet.
Note: même si les facteurs de mise à l'échelle sont conservés à leurs valeurs par défaut (1.0, 1.0, 1.0), une fois le clone créé, vous pourrez modifier ces facteurs manuellement dans l'éditeur de propriété.
* Modifier l'original. L'objet d'origine aura sa taille modifiée. Cela fonctionnera uniquement avec les objets Draft et les formes non paramétriques Part.
* Créer une copie. Une copie à l'échelle de l'objet d'origine sera créée. Cela fonctionnera pour tous les types d'objet, mais seules les copies des objets Draft seront paramétriques.
Note: une copie est un objet complètement différent de la forme d'origine; il sera créé à l'échelle spécifiée, puis aura son propre ensemble de propriétés. D'autre part, un Draft Clone est lié à la forme d'origine et la seule propriété pouvant être modifiée est l'échelle.

Script

Voir aussi: Draft API et Principes de base des scripts FreeCAD.

L'outil Scale peut être utilisé dans une macros et dans la console Python en utilisant la fonction suivante :

scaledlist = scale(objectslist, delta=Vector(1,1,1), center=Vector(0,0,0), copy=False, legacy=False)
  • Échelle les objets de objectlist en fonction des facteurs spécifiés par les composants de delta, définis comme un FreeCAD.Vector, et en utilisant center comme point de base.
    • objectslist est un objet unique ou une liste d'objets.
  • Si copy est True, des copies sont créées au lieu de modifier les objets d'origine.
  • Si legacy est True, le mode de copie directe est utilisé (obsolète), sinon une copie paramétrique est effectuée.
  • scaledlist est renvoyé avec les objets redimensionnés d'origine ou avec les nouveaux clones.
    • scaledlist est soit un objet unique, soit une liste d'objets, en fonction de l'entrée objectlist.

Exemple:

import FreeCAD, Draft

Polygon1 = Draft.makePolygon(3, radius=1200)
delta1 = FreeCAD.Vector(2.3, 0.75, 0)

clone_1 = Draft.scale(Polygon1, delta1, copy=True)

Polygon2 = Draft.makePolygon(5, radius=750)
delta2 = FreeCAD.Vector(-2, -1.5, 0)

clone_2 = Draft.scale([Polygon1, Polygon2], delta2, copy=True)
Draft.move(clone_2, FreeCAD.Vector(3500, 1000, 0))
Arrow-left.svg Page précédente: Draft Downgrade.svg Downgrade
Page suivante: Edit Draft Edit.svg Arrow-right.svg


Arrow-left.svg Page précédente: Draft Scale.svg Echelle Draft

Draft Edit.svg Editer Draft

Emplacement du menu
Draft → Éditer
Ateliers
Atelier Draft, Atelier Arch
Raccourci par défaut
Aucun
Introduit dans la version
-
Voir aussi
Aucun


Description

L’outil Éditer vous permet d’éditer graphiquement certaines propriétés de l’objet sélectionné, telles que les sommets d’un filaire Draft, la longueur et la largeur d’un Rectangle Draft ou le rayon d’un Cercle Draft.

Il ne fait rien d’autre que passer en mode d’édition de l’objet. Une autre façon de modifier l'objet consiste à double-cliquer sur l'élément dans l'arborescence.

Draft edit example.jpg

Éditer une ligne


Utilisation

  1. Sélectionnez un objet.
  2. Appuyez sur le bouton Draft Edit.png Editer Draft, ou double-cliquez sur l'objet dans la vue arborescente ou utilisez le Std Edit.png Editer Std outil.
  3. Cliquez sur un point que vous souhaitez déplacer.
  4. Cliquez sur un autre point de la vue 3D ou tapez une coordonnée Draft et appuyez sur le bouton Draft AddPoint.svg Ajouter un point Draft.
  5. Appuyez sur Echap ou sur le bouton Fermer pour terminer la commande en cours.

L'outil d'édition ne fonctionne que sur un objet sélectionné à la fois.

L’outil fonctionne principalement sur les objets Draft: Filaire Draft, Ligne Draft, Rectangle Draft, Cercle Draft, Arc Draft, Polygone Draft et BSpline Draft. Les autres types d'objet doivent d'abord être convertis en ces objets.

Options

  • Appuyez sur X, Y ou Z après un point pour contraindre le point suivant sur l'axe donné.
  • Pour entrer les coordonnées manuellement, entrez simplement les chiffres puis appuyez sur Entrée entre chaque composante X, Y et Z. Vous pouvez appuyer sur le bouton Draft AddPoint.svg Ajouter un point Draft lorsque vous avez les valeurs souhaitées pour insérer le point.
  • Maintenez la touche Ctrl pendant que vous dessinez pour forcer l'Accrochage Draft votre point au point de capture le plus proche, indépendamment de la distance.
  • Maintenez Shift pendant que vous dessinez sur Contrainte Draft votre prochain point horizontalement ou verticalement par rapport au dernier.
  • Appuyez à nouveau sur Echapp ou sur le bouton Fermer ou sur le bouton Draft Edit.svg Editer Draft pour terminer la modification. .

Certains objets vous permettent d’insérer ou de supprimer des points:

  • Appuyez sur le bouton Draft AddPoint.svg Ajouter un point Draft puis cliquez sur le fil ou la spline pour ajouter un nouveau point.
  • Appuyez sur le bouton Draft DelPoint.svg Supprimer un point Draft puis cliquez sur un point le long du fil ou d'une spline pour le supprimer.

Script

Voir aussi: Draft API et FreeCAD scripts de base.

Il n'y a pas d'interface de programmation disponible pour l'outil d'édition. Chaque objet est modifié en modifiant directement ses attributs.

Arrow-left.svg Page précédente: Draft Scale.svg Echelle Draft


Arrow-left.svg Page précédente: Draft Clone.svg Clone Draft
Page suivante: Miroir Draft Draft Mirror.svg Arrow-right.svg


Le développement de l'atelier Mise en plan s'est arrêté, et un nouvel atelier Techdraw visant à le remplacer sera introduit dans la version 0.17. Les deux ateliers seront fournis dans la version v0.17, mais l'atelier Mise en plan peut être supprimé dans les versions ultérieures.


Draft Drawing.svg Dessin Draft

Emplacement du menu
Draft → Dessin
Ateliers
Atelier Draft, Atelier Arch
Raccourci par défaut
Aucun
Introduit dans la version
-
Voir aussi
Atelier TechDraw, Projection 2D d'une forme Draft


Description

L'outil Dessin vous permet de placer les objets sélectionnés sur une feuille de dessin créée avec Atelier Mise en plan. S'il n'y a pas de Modèles de feuille dans le document, un fichier par défaut sera créé.

Cet outil fonctionne de la même manière que l'outil Insérer une vue dans la page Drawing mais il est optimisé pour les objets de l'Atelier Draft. Il peut également restituer des objets 2D avec un remplissage de surface. Il peut gérer des objets spécifiques tels que Cote Draft et Texte Draft que l'outil Insérer une vue dans la page Drawing ne peut pas gérer.

Draft drawing example.jpg

Objet Draft object et dimensions importés dans une page de dessin


Utilisation

  1. Sélectionnez les objets que vous souhaitez placer sur une feuille de dessin.
  2. Dans la même sélection, ajoutez l'objet de page Atelier Dessin dans lequel vous voulez dessiner la projection des objets.
  3. Appuyez sur le bouton Draft Drawing.png Dessin Draft.

Remarques:

  • L'outil fonctionnera mieux avec les objets 2D de Atelier Draft ou Atelier Sketcher.
  • L'objet sélectionné peut également être un Plan de coupe Arch, qui affichera les éléments visualisés par ce plan.
  • S'il n'y a pas de page existante, une nouvelle sera créée.
  • Si aucune page n'a été sélectionnée mais qu'il y en a au moins une dans le document, la première page trouvée sera utilisée pour mettre les projections.
  • Si vous sélectionnez une feuille et les objets déjà projetés sur cette feuille, les projections seront mises à jour.

Options

Il n'y a pas d'options pour cet outil. Cela fonctionne avec les objets sélectionnés ou non.

Propriétés

  • DONNÉESFill Style: uniquement pour les formes fermées, permet de spécifier un style de remplissage "concrete", "square", "simple", "wood", "line", "cross", "woodgrain" ou "shape color".
  • DONNÉESFont Size: spécifie la taille de la police des textes et dimensions.
  • DONNÉESLine Width: spécifie la largeur de ligne des objets visibles en millimètres.

Script

Voir aussi: Draft API et Principes de base des scripts FreeCAD.

L'outil Dessin peut être utilisé dans une macro et à partir de la console Python en utilisant la fonction suivante :

DrawingView = makeDrawingView(obj, page, lwmod=None, tmod=None, otherProjection=None)
  • Crée un DrawingView à partir de obj dans la page spécifiée.
  • Si spécifié, lwmod modifie les poids de ligne en pourcentage et tmod modifie les hauteurs de texte en pourcentage.

Les attributs de la vue doivent généralement être modifiés pour être correctement affichés dans la page de dessin. En particulier, la position est contrôlée par X et Y, en millimètres. Scale est important pour ajuster correctement la forme projetée dans la page. L'échelle va généralement de 1 à 0,25 (de 1:1 à 1:4) pour les petits solides et de 0,02 à 0,01 (de 1:50 à 1:100) pour les éléments architecturaux typiques.

Exemple:

import FreeCAD, Draft, Drawing

obj = Draft.makePolygon(5, 1000)
page = FreeCAD.ActiveDocument.addObject('Drawing::FeaturePage', 'Page')
page.Template = FreeCAD.getResourceDir() + 'Mod/Drawing/Templates/A3_Landscape.svg'

View = Draft.makeDrawingView(obj, page)
View.Scale = 0.02
FreeCAD.ActiveDocument.recompute()

View.X = 200
View.Y = 150
FreeCAD.ActiveDocument.recompute()
Arrow-left.svg Page précédente: Draft Clone.svg Clone Draft
Page suivante: Miroir Draft Draft Mirror.svg Arrow-right.svg


Draft Shape2DView.svg Projection 2D d'une forme Draft

Emplacement du menu
Draft → Projection 2D d'une forme
Ateliers
Atelier Draft, Atelier Arch
Raccourci par défaut
Aucun
Introduit dans la version
-
Voir aussi
Atelier Part, Atelier TechDraw


Description

Cet outil génère une projection 2D à partir d'un objet solide 3D sélectionné tels que ceux créés avec Atelier Part, Atelier PartDesign et Atelier Arch.

La projection résultante est un objet brouillon et est placée dans la vue 3D. Cet objet peut être affiché sur une page Atelier TechDraw à l'aide de l'outil Nouvelle vue d'un objet Draft TechDraw. TechDraw dispose également de ses propres outils pour créer des vues projetées, les outils Nouvelle vue TechDraw et Nouveau groupe de projections TechDraw; Cependant, ces outils sont destinés à la préparation de dessins techniques. Ils créent donc les vues uniquement dans la page de dessin et non dans la vue 3D.

Draft Shape2DView example.jpg

Projection de formes solides dans le plan XY


Utilisation

  1. Faites pivoter la vue pour qu’elle reflète la direction de la projection souhaitée. Par exemple, une vue de dessus projettera l'objet sur le plan XY.
  2. Sélectionnez un objet 3D.
  3. Appuyez sur le bouton Draft Shape2DView.svg Projection 2D d'une forme Draft. Si aucun objet n'est sélectionné, vous serez invité à en sélectionner un.

L'objet projeté sera créé sous l'objet sélectionné, sur le plan XY. Sa position peut être changée en changeant ses propriétés. La direction de projection peut également être modifiée après la création avec Éditeur de propriétés.

Si l'objet sélectionné est un Plan de coupe Arch, la projection utilisera le contenu et la direction de ce plan de coupe; dans ce cas, la propriété "Projection" sera ignorée.

Options

Il n'y a pas d'options pour cet outil. Cela fonctionne avec l'objet sélectionné ou non.

Propriétés

  • DONNÉESProjection: spécifie la direction de la projection en tant que vecteur. Par exemple, (0,0,1) est une projection regardant par l’axe Z, qui serait projetée sur le plan XY; (1,0,0) est une projection regardant à travers l'axe X, qui serait projetée sur le plan YZ; (0,1,0) est une projection regardant par l’axe Y, qui serait projetée sur le plan XZ. Les valeurs peuvent également être négatives, auquel cas la direction de la projection est inversée.
  • DONNÉESProjection Mode: il peut s'agir de "Solid", "Individual Faces", "Cutlines" et "Cutfaces".
    • La projection par défaut est "Solid", qui projette toute la forme sélectionnée.
    • Si seules certaines faces de l'objet de base sont sélectionnées, le mode "Individual Faces" ne projette que ces faces.
    • Si l'objet sélectionné est un Plan de coupe Arch, le mode "Cutlines" ne projettera que les arêtes coupées par le plan de coupe.
    • Si l'objet sélectionné est un Plan de coupe Arch, le mode "Cutfaces" affichera les zones coupées des solides sous forme de faces.
  • DONNÉESIn Place: si mis à True, ainsi que des modes "Cutlines" ou "Cutfaces", la projection résultante apparaîtra comme coplanaire avec le Plan de coupe Arch. Disponible dans la version 0.17
  • DONNÉESHiddenLines: si mis à True, il affichera les lignes cachées de la projection.
  • DONNÉESTessellation: si mis à True, elle tessellera les ellipses et les splines, c'est-à-dire qu'elle représentera des courbes avec des segments très fins.
Remarque: cette opération peut nécessiter beaucoup de calcul si DONNÉESSegment Length est très petit.
  • DONNÉESSegment Length: spécifie la taille en millimètres des segments linéaires si DONNÉESTessellation est à True.
Remarque: commencez par définir une valeur plus grande, puis modifiez-la en une valeur plus petite pour obtenir une meilleure résolution.
  • DONNÉESVisible Only: si mis à True, la projection ne sera recalculée que si elle est visible.

Script

Voir aussi: Draft API et FreeCAD scripts de base.

L'outil Projection 2D d'une forme peut être utilisé dans une macro et à partir de la console Python à l'aide de la fonction suivante:

Shape2DView = makeShape2DView(baseobj, projectionVector=None, facenumbers=[])
  • Crée Shape2DView en tant que projection du baseobj donné.
    • Si facenumbers est donné, il s'agit d'une liste de numéros de visage à prendre en compte pour la projection.
  • Si un projectionVector est donné, il est utilisé; sinon, la projection par défaut est le long de l'axe Z.

L'attribut ProjectionMode doit être remplacé par le mode souhaité qui peut être "Solid", "Individual Faces", "Cutlines" ou "Cutfaces".

Exemple :

import FreeCAD, Draft

Box = FreeCAD.ActiveDocument.addObject("Part::Box", "Box")
Box.Length = 2300
Box.Width = 800
Box.Height = 1000

Shape1 = Draft.makeShape2DView(Box)

Shape2 = Draft.makeShape2DView(Box, FreeCAD.Vector(1, -1, 1))

Shape3 = Draft.makeShape2DView(Box, FreeCAD.Vector(-1, 1, 1), [4,5])
Shape3.ProjectionMode = "Individual Faces"

FreeCAD.ActiveDocument.recompute()


Draft WireToBSpline.svg Filaire vers BSpline Draft

Emplacement du menu
Draft → Filaire vers BSpline
Ateliers
Atelier Draft, Atelier Arch
Raccourci par défaut
Aucun
Introduit dans la version
-
Voir aussi
Filaire Draft, BSpline Draft


Description

Cet outil convertit les objets Filaire Draft en BSpline Draft et inversement.

Draft Wire2BSpline example.jpg

Conversion d'un fil en B-Spline et un B-Spline fermé en un fil fermé


Utilisation

  1. Sélectionnez un Filaire Draft ou un BSpline Draft. L'outil est désactivé si aucun objet n'est sélectionné.
  2. Appuyez sur le bouton Draft WireToBSpline.svg Filaire vers BSpline Draft.

Un nouvel objet sera créé. L'objet d'origine ne sera pas modifié.

Remarque: si un fil fermé avec des arêtes vives est utilisé pour créer une spline, le nouvel objet peut avoir des segments de courbe se croisant automatiquement et peut ne pas être visible dans la vue 3D. Si c'est le cas, définissez manuellement DATAMake Face à False pour afficher la nouvelle forme ou sur DATAClosed à False pour créer une forme ouverte.

Options

Il n'y a pas d'options pour cet outil. Cela fonctionne avec l'objet sélectionné ou non.

Script

Voir aussi: Draft API et FreeCAD Script de Base.

Il n'y a pas d'interface de programmation disponible pour l'outil WireToBSpline. Cependant, créer un nouvel objet à partir des points d'un autre est simple.

L'attribut Points d'un objet est une liste avec les points qui le composent. Cette liste peut être transmise aux fonctions qui construisent la géométrie. Chaque point est défini par son FreeCAD.Vector en millimètres.

Exemple:

import FreeCAD, Draft

# Make a spline from the points of a wire
p1 = FreeCAD.Vector(1000, 1000, 0)
p2 = FreeCAD.Vector(2000, 1000, 0)
p3 = FreeCAD.Vector(2500, -1000, 0)
p4 = FreeCAD.Vector(3500, -500, 0)

base_wire = Draft.makeWire([p1, p2, p3, p4])

points1 = base_wire.Points
spline = Draft.makeBSpline(points1)

# Make a wire from the points of a spline
base_spline = Draft.makeBSpline([-p1, -1.3*p2, -1.2*p3, -2.1*p4])

points2 = base_spline.Points
Wire = Draft.makeWire(points2)


Draft AddPoint.svg Draft Ajouter un point

Emplacement du menu
Draft → Ajouter un point
Ateliers
Atelier Draft, Atelier Architecture
Raccourci par défaut
Aucun
Introduit dans la version
-
Voir aussi
Draft Effacer un Point, Draft Édit


Description

Cet outil vous permet d'ajouter des points supplémentaires à un Fil (Wire) et à des BSplines.

La contrepartie de cet outil est l'opération Draft Effacer un Point.

Utilisation

  1. Sélectionnez un Fil (Wire) ou un BSplines. L'outil est désactivé si aucun objet n'est sélectionné.
  2. Appuyez sur le bouton Draft AddPoint.svg Draft Ajouter un Point.
  3. Cliquez sur un point de la vue 3D ou tapez les coordonnées et appuyez sur le bouton Draft AddPoint.svg ajouter un point.
  4. Appuyez sur Esc ou sur le bouton Close pour terminer l'opération. Les points déjà placés resteront.

Cette fonctionnalité est également disponible à partir de l'outil Draft Edit.svg Draft Edit.

Options

  • Cette fonctionnalité est également disponible à l'intérieur de l'outil

Draft Edit.svg Draft Edit.

Script

Voir aussi: Draft API et FreeCAD Scripting Basics.

Aucune interface de programmation n'est disponible pour l'outil AddPoint. Toutefois, l'ajout de points est simple.

L'attribut Points d'un fil ou d'une spline est une liste de points qui composent cet objet. Pour ajouter des points, remplacez cet attribut par une liste de points plus longue. Vous pouvez utiliser des méthodes telles que append() et insert() pour ajouter un nouvel élément à la position souhaitée dans la liste. Chaque point est défini par son FreeCAD.Vector, en unités en millimètres.

Exemple:

import FreeCAD, Draft

p1 = FreeCAD.Vector(-1000, -400, 0)
p2 = FreeCAD.Vector(2200, -1000, 0)

wire = Draft.makeWire([p1, p2])

p_new = FreeCAD.Vector(1500, 1500, 0)
points = wire.Points
points.insert(1, p_new)

wire.Points = points
FreeCAD.ActiveDocument.recompute()


Draft DelPoint.svg Supprimer un point Draft

Emplacement du menu
Draft → Supprimer un point
Ateliers
Atelier Draft, Atelier Arch
Raccourci par défaut
Introduit dans la version
-
Voir aussi
Ajouter un point Draft, Editer Draft


Description

Cet outil, vous permet de retirer des points présents sur des Fils (Wire) et des BSplines.

La contrepartie de cet outil est l'opération Ajouter un point Draft.

Utilisation

  1. Sélectionnez un Fil (Wire) ou une BSplines.
  2. Appuyez sur le bouton Draft DelPoint.svg Supprimer un point Draft.
  3. Cliquez sur un point de l'objet.
  4. Appuyez sur Echapp ou sur le bouton Fermer pour terminer l'opération: les points déjà supprimés disparaîtront.

Cette fonctionnalité est également disponible à partir de l'outil Draft Edit.svg Editer Draft.

Options

Les options de cet outil sont décrites dans Draft Edit.svg Editer Draft.

Script

Voir aussi: Draft API et FreeCAD scripts de base.

Aucune interface de programmation n'est disponible pour l'outil Supprimer un point. Toutefois, la suppression de points est simple.

L'attribut Points d'un fil ou d'une spline est une liste de points qui composent cet objet. Pour ajouter des points, remplacez cet attribut par une liste de points plus longue. Vous pouvez utiliser des méthodes telles que append() et insert() pour ajouter un nouvel élément à la position souhaitée dans la liste. Chaque point est défini par son FreeCAD.Vector, en unités en millimètres.

Exemple:

import FreeCAD, Draft

p1 = FreeCAD.Vector(-1000, 400, 0)
p2 = FreeCAD.Vector(1500, -1500, 0)
p3 = FreeCAD.Vector(2200, 1000, 0)

wire = Draft.makeWire([p1, p2, p3])
points = wire.Points
points.pop(1)

wire.Points = points
FreeCAD.ActiveDocument.recompute()


Arrow-left.svg Page précédente: Draft Shape2DView.svg Projection 2D d'une forme
Page suivante: Tableau Draft Array.svg Arrow-right.svg

Draft Draft2Sketch.svg Draft vers Esquisse Draft

Emplacement du menu
Draft → Draft vers Esquisse
Ateliers
Atelier Draft, Atelier Arch
Raccourci par défaut
Aucun
Introduit dans la version
-
Voir aussi
Atelier Sketcher, Atelier PartDesign


Description

Cet outil convertit un objet Draft en objet Sketcher et vice-versa.

Draft Draft2Sketch example.jpg

Conversion d'une forme Draft vers une forme Sketcher avec contraintes


Utilisation

  1. Sélectionnez un objet Draft ou un objet Sketch.
  2. Pressez le bouton Draft Draft2Sketch.svg Conversion bidirectionnelle entre objets draft et esquisse.

Remarques:

  • Si vous convertissez un Filaire Draft, l'esquisse résultante utilisera des contraintes de points pour les nœuds.
  • Si vous convertissez un Rectangle Draft, l'esquisse résultante utilisera des contraintes de point pour les angles et des contraintes horizontales et verticales pour les arêtes.
  • Si vous convertissez un Courbe de Bézier Draft, l'esquisse résultante sera approximée par un BSpline Sketcher car l'Atelier Sketcher ne prend actuellement pas en charge les courbes de Bézier.
  • Les objets non Draft totalement plans seront également convertis en esquisses.

Limitations

La conversion d'un objet qui ne peut pas être représenté par une combinaison de lignes droites, d'arcs de cercle et de B-Splines échouera généralement. En d'autres termes, l'élément n'apparaîtra pas dans l'esquisse.

Dans le passé, une BSpline Draft ne pouvait pas être convertie directement en esquisse. Un outil permettant d'effectuer cette conversion a été développé pour Atelier KicadStepUp. Il prend une BSpline Draft et la convert en une série d'arcs Sketcher. Voir le fil de discussion BSplines to Shape2DView and Sketcher pour plus d'informations.

Depuis FreeCAD 0.17, la conversion de BSpline Draft en BSpline Sketcher est possible. Toutefois, la conversion d'une spline en une série d'arcs peut toujours être utile pour exporter une géométrie vers des applications ne prenant pas en charge les B-Splines, tel que KiCad.

Options

Il n'y a pas d'options pour cet outil. Cela fonctionne avec l'objet sélectionné ou non.

Script

Voir aussi: Draft API et FreeCAD scripts de base.

En interne, l'outil de conversion Draft vers Esquisse utilise deux méthodes.

Conversion d'un objet vers Sketch:

Draft.makeSketch(objectslist, autoconstraints=False, addTo=None, delete=False, name="Sketch", radiusPrecision=-1)

Conversion d'un objet vers Draft:

Draft.draftify(objectslist, makeblock=False, delete=True)
Arrow-left.svg Page précédente: Draft Shape2DView.svg Projection 2D d'une forme
Page suivante: Tableau Draft Array.svg Arrow-right.svg


Arrow-left.svg Page précédente: Draft Draft2Sketch.svg Draft vers Sketch
Page suivante: Link Array Draft LinkArray.svg Arrow-right.svg

Draft Array.svg Réseau Draft

Emplacement du menu
Draft → Réseau
Ateliers
Draft, Arch
Raccourci par défaut
Aucun
Introduit dans la version
-
Voir aussi
Chemin pour série de formes, Draft PointArray, Draft Clone


Description

L'outil Réseau (tableau ou copies multiples) crée une copie orthogonale (3 axes) ou un tableau polaire de l'objet sélectionné.

Cet outil peut être utilisé sur des formes 2D créées avec l'atelier Draft, mais également sur de nombreux types d'objets 3D, tels que ceux créés avec l'atelier Part ou l'atelier PartDesign.

Pour positionner les copies le long d'un chemin, utilisez l'outil PathArray ; pour positionner des copies à des points spécifiés, utilisez Draft PointArray ; pour créer des copies ou des clones et les placer manuellement, utilisez les outils Draft déplacer, Draft rotation, et Draft Clone.

Draft Array example.jpg

Un tableau orthogonal et un tableau polaire d'un objet solide


Utilisation

  1. Sélectionnez l'objet pour créer un réseau.
  2. Pressez le bouton Draft Array.png Réseau Draft. Si aucun objet n'est sélectionné vous serez invité à en sélectionner un.
  3. L'objet Array est créé immédiatement. Vous devez modifier les propriétés du tableau pour modifier le nombre et la direction des copies créées.

Chaque élément du tableau est un clone exact de l'objet d'origine, mais l'ensemble du tableau est considéré comme une unité unique en termes de propriétés et d'apparence.

Options

Il n'y a pas d'options pour cet outil. Cela fonctionne avec l'objet sélectionné ou non.

Propriétés

  • DONNÉESBase : spécifie l'objet à dupliquer dans le tableau.
  • DONNÉESArray Type : spécifie le type de tableau à créer, soit "orthogonal" or "polaire".
  • DONNÉESFuse : si elle est réglée sur True et que les copies se croisent, elles seront fusionnées en une seule forme.

Pour une matrice orthogonale:

  • DONNÉESInterval X : L’intervalle entre chaque copie sur le premier axe
  • DONNÉESInterval Y : L’intervalle entre chaque copie sur le deuxième axe
  • DONNÉESInterval Z : L’intervalle entre chaque copie sur le troisième axe
  • DONNÉESNumber X : Le nombre de copies sur le premier axe
  • DONNÉESNumber Y : Le nombre de copies sur le deuxième axe
  • DONNÉESNumber Z : Le nombre de copies sur le troisième axe

Pour une matrice polaire :

  • DONNÉESAxis : La direction normale de la matrice circulaire
  • DONNÉESCenter : Le point central de la matrice
  • DONNÉESAngle : L'angle couvert par les copies
  • DONNÉESNumber Polar : Le nombre de copies
  • DONNÉESInterval Axis : spécifie l'intervalle entre chaque copie dans la direction DONNÉESAxis.

Le nombre de propriétés, X, Y, Z ou Polar, inclut également l'objet d'origine. Ce nombre est donc au moins égal à un.

Un intervalle n'est pas une simple distance, mais un vecteur (x, y, z). Si plusieurs valeurs sont non nulles, la copie sera créée dans la direction principale, mais sera également déplacée dans les autres directions non nulles.

Par exemple, si l'DONNÉESIntervalle X est égal à (2 m, 1 m, 1 m) et si DONNÉESNombre X est égal à 3, il créera 3 copies dans la direction X ; la première copie sera à la position d'origine ; la seconde sera déplacée de 2 m sur l'axe X, 1 m sur l'axe Y et 1 m sur l'axe Z ; la troisième copie sera déplacée de 4 m sur l'axe X, de 2 m sur l'axe Y et de 2 m sur l'axe Z. Chaque élément de la matrice sera déplacé légèrement d'un côté (direction Y) et vers le haut (direction Z) à côté de la direction X principale.

La propriété DONNÉESAxe d'intervalle fonctionne de la même manière. Si la forme d'origine repose sur le plan XY, la création d'un tableau polaire avec DONNÉESAxe d'intervalle (0, 0, z) vous permet de réaliser des arrangements en spirale.

Script

Voir aussi: Draft API et FreeCAD Scripts de base.

L'outil matrice peut être utilisé dans une macro et dans la console Python en utilisant une des fonctions suivantes, et dépend du résultat recherché, simple copie de l'objet ou une copie paramétrique qui sera dépendante de l'objet original.

Simple réseau

La signature de base est la suivante :

array_list = array(objectslist, arg1, arg2, arg3, arg4=None, arg5=None, arg6=None)

Pour créer un réseau rectangulaire, procédure à suivre :

array_list = array(objectslist, xvector, yvector, xnum, ynum)
array_list = array(objectslist, xvector, yvector, zvector, xnum, ynum, znum)

Pour réseau polaire, utilisez-le comme ceci :

array_list = array(objectslist, center, totalangle, totalnum)
  • Crée un tableau à partir des objets contenus dans objectlist, qui peut être un objet unique ou une liste d'objets.
  • Dans le cas d'un tableau rectangulaire, xvector, yvector et zvector déterminent la distance entre les points de base de chaque copie, dans les directions X, Y et Z; et xnum, ynum et znum sont le nombre de copies dans la direction respective.
  • Dans le cas d'un réseau polaire, center définit le centre du cercle du tableau, totalangle est l'angle de l'arc en degrés pour couvrir les copies, et {{incode|totalnum} } est le nombre de copies à organiser autour du cercle, y compris l'objet d'origine.
  • array_list est renvoyé avec les nouvelles copies.
    • array_list est soit un objet unique, soit une liste d'objets, en fonction de l'entrée objectlist.

Cette fonction utilise en interne Draft.move() et Draft.rotate() avec copy = True.

Exemple :

import FreeCAD, Draft

Rect = Draft.makeRectangle(1500, 500)

array_list = Draft.array(Rect, FreeCAD.Vector(1600, 0, 0), FreeCAD.Vector(0, 600, 0), 3, 4)

Réseau paramétrique

La signature de base est la suivante :

Array = makeArray(baseobject, arg1, arg2, arg3, arg4=None, arg5=None, arg6=None, name="Array")

Pour un réseau rectangulaire, utilisez-le comme ceci :

Array = makeArray(baseobject, xvector, yvector, xnum, ynum, name="Array")
Array = makeArray(baseobject, xvector, yvector, zvector, xnum, ynum, znum, name="Array")

Pour un réseau polaire, utilisez-le comme ceci :

Array = makeArray(baseobject, center, totalangle, totalnum, name="Array")
  • Crée un objet Array à partir de baseobject donné.
  • Dans le cas d'un tableau rectangulaire, xvector, yvector et zvector déterminent la distance entre les points de base de chaque copie, dans les zones X, Y et Z directions; et xnum, ynum et znum sont le nombre de copies dans la direction respective.
  • Dans le cas d'un réseau polaire, center définit le centre du cercle du tableau, totalangle est l'angle de l'arc en degrés pour couvrir les copies, et totalnum est le nombre de copies à organiser autour du cercle, y compris l'objet d'origine.

Exemple :

import FreeCAD, Draft

Rect = Draft.makeRectangle(1500, 500)
xvector = FreeCAD.Vector(1600, 0, 0)
yvector = FreeCAD.Vector(0, 600, 0)
Array = Draft.makeArray(Rect, xvector, yvector, 3, 4)

Tri = Draft.makePolygon(3, 600)
center = FreeCAD.Vector(-1600, 0, 0)
Array2 = Draft.makeArray(Tri, center, 360, 6)
Arrow-left.svg Page précédente: Draft Draft2Sketch.svg Draft vers Sketch
Page suivante: Link Array Draft LinkArray.svg Arrow-right.svg


Arrow-left.svg Page précédente: Draft PointArray.svg Matrice de points Draft
Page suivante: Dessin Draft Draft Drawing.svg Arrow-right.svg

Draft Clone.svg Clone Draft

Emplacement du menu
Draft → Clone
Ateliers
Atelier Draft, Atelier Arch
Raccourci par défaut
Aucun
Introduit dans la version
-
Voir aussi
Déplacer Draft, Echelle Draft


Description

L'outil Clone produit des copies liées d'une forme sélectionnée. Cela signifie que si l'objet d'origine change de forme et de propriétés, tous les clones changent également. Néanmoins, chaque clone conserve sa position, sa rotation et son échelle uniques, ainsi que ses propriétés d'affichage telles que la couleur de la forme, la largeur de trait et la transparence.

L'outil Clone peut être utilisé sur des formes 2D créées avec Atelier Draft mais également sur de nombreux types d'objets 3D, tels que ceux créés avec Atelier Part, Atelier PartDesign ou [[[Arch Workbench/fr|Atelier Arch]]].

Pour créer des copies simples, totalement indépendantes d'un objet d'origine, utilisez Déplacer Draft, Rotation Draft et Echelle Draft. Pour positionner les copies dans un tableau orthogonal, utilisez Matrice Draft. Pour positionner les copies le long d’un chemin, utilisez Série de copies Draft. Pour positionner les copies à des points spécifiés, utilisez Série de copies Draft.

Draft Clone example.jpg

Clone à côté de son objet d'origine


Utilisation

  1. Sélectionnez l'objet (les objets) à cloner.
  2. Pressez le bouton Draft Clone.svg Clone Draft.

Selon ses options, l'outil Draft Scale.svg Echelle Draft crée également un clone à une échelle spécifiée.

Les clones d'objets 2D créés avec Atelier Draft ou Atelier Sketcher sont également des objets 2D et peuvent donc être utilisés tels quels pour Atelier PartDesign.

Tous les objets Atelier Arch ont la possibilité de se comporter comme des clones en utilisant la propriété DATACloneOf. Si vous utilisez l'outil Draft Clone sur un objet Arch sélectionné, vous produirez un tel clone Arch au lieu d'un clone Draft normal.

Limitations

Actuellement, l'Atelier Sketcher ne peut pas être mappé sur les faces d'un clone.

Options

Il n'y a pas d'options pour cet outil. Cela fonctionne avec les objets sélectionnés ou non.

Propriétés

  • DATAObjects: spécifie une liste d'objets de base en cours de clonage.
  • DATAScale: spécifie le facteur de mise à l'échelle du clone, dans chaque direction X, Y et Z.
  • DATAFuse: si elle est True et que DATAObjects inclut de nombreuses formes qui s'entrecroisent, le clone résultant sera fusionné en une seule forme ou créera un composé d'eux. introduced in version 0.17

Script

Voir aussi: Draft API et FreeCAD Script de Base.

L'outil Clone peut être utilisé dans une macro ainsi que dans la console Python en utilisant la commande :

cloned_object = clone(obj, delta=None, forcedraft=False)
  • Crée un cloned_object à partir de obj qui peut être un objet unique ou une liste d'objets.
  • S'il est spécifié, delta est un FreeCAD.Vector qui déplace le nouveau clone de la position d'origine de l'objet de base.
  • Si forcraft est True, l'objet résultant sera un clone Draft et non un clone Arch même si obj est un Atelier Arch objet.

La fusion des objets faisant partie du clone peut être réalisée en définissant son attribut Fuse à True.

Exemple:

import FreeCAD, Draft

place = FreeCAD.Placement(FreeCAD.Vector(1000, 0, 0), FreeCAD.Rotation())
Polygon1 = Draft.makePolygon(3, 750)
Polygon2 = Draft.makePolygon(5, 750, placement=place)

obj = [Polygon1, Polygon2]
vector = FreeCAD.Vector(2600, 500, 0)
cloned_object = Draft.clone(obj, delta=vector)

cloned_object.Fuse = True
FreeCAD.ActiveDocument.recompute()
Arrow-left.svg Page précédente: Draft PointArray.svg Matrice de points Draft
Page suivante: Dessin Draft Draft Drawing.svg Arrow-right.svg


Credits

FreeCAD Users Contributors.svg

<translate> FreeCAD would not be what it is without the generous contributions of many people. Here's an overview of the people and companies who contributed to FreeCAD over time. For credits for the third party libraries see the Third Party Libraries page.

Development

Project managers

Lead developers of the FreeCAD project: </translate>

<translate>

Main developers

People who work regularly on the FreeCAD code (retrieved from https://github.com/FreeCAD/FreeCAD/graphs/contributors): </translate>

<translate>

Other coders

Other people who contributed code to the FreeCAD project: </translate>

  • Barleyman
  • Berthold Grupp
  • dbtayl
  • Dmitry Chigrin
  • ezzieyguywuf
  • fandaL
  • Georg Wiora
  • Graeme van der Vlugt
  • itain
  • j-dowsett
  • Jacques-Antoine Gaudin
  • jcc242
  • jmaustpc
  • Joachim Zettler
  • jobermayr
  • Johan3DV
  • jonnor
  • keithsloan52
  • Ken Cline
  • Mandeep Singh
  • marktaff
  • Martin Burbaum
  • maurerpe
  • ovginkel
  • peterl94
  • plaes
  • poutine70
  • TheMarkster
  • qingfengxia
  • Remigiusz Fiedler (DXF-parser)
  • SebKuzminsky
  • tomate44
  • triplus
  • usakhelo

<translate>

Companies

Companies which donated code or developer time: </translate>

<translate>

Forum moderators

People in charge of the FreeCAD forum (retrieved from http://forum.freecadweb.org/memberlist.php?mode=team): </translate>

<translate>

Community

People from the community who put a lot of efforts in helping the FreeCAD project either by being active on the forum, keeping a blog about FreeCAD, making video tutorials, packaging FreeCAD for Windows/Linux/MacOS X, writing a FreeCAD book... (listed by alphabetical order) (retrieved from http://forum.freecadweb.org/memberlist.php?mode=&sk=d&sd=d#memberlist) </translate>

<translate>

Documentation writers

People who wrote the documentation on this wiki: </translate>

<translate>

Translators

People who helped to translate the FreeCAD application (retrieved from https://crowdin.com/project/freecad): </translate>

<translate>

Addons developers

Developers of FreeCAD addons (retrieved from https://github.com/FreeCAD/FreeCAD-addons): </translate>

<translate> </translate>